Skip to main content
GET
/
oauth-providers
List OAuth providers
curl --request GET \
  --url https://api.stack-auth.com/api/v1/oauth-providers
{
  "items": [
    {
      "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
      "id": "b3d396b8-c574-4c80-97b3-50031675ceb2",
      "provider_config_id": "google",
      "type": "google",
      "allow_sign_in": true,
      "allow_connected_accounts": true,
      "email": "test@gmail.com"
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user_id
string

Response

200 - application/json

Successful response

items
object[]
required
pagination
object